Bug 1101770 - ServerManagerBean does not notify comm layer of maintenance mode during start up after install
Summary: ServerManagerBean does not notify comm layer of maintenance mode during start...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server
Version: 4.10,4.11
Hardware: Unspecified
OS: Unspecified
unspecified
urgent vote
Target Milestone: ---
: RHQ 4.12
Assignee: Stefan Negrea
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 1101773
TreeView+ depends on / blocked
 
Reported: 2014-05-27 21:46 UTC by John Sanda
Modified: 2014-12-15 11:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1101773 (view as bug list)
Environment:
Last Closed: 2014-12-15 11:36:25 UTC


Attachments (Terms of Use)

Description John Sanda 2014-05-27 21:46:26 UTC
Description of problem:
When the server starts for the first time after installation, if there is a problem during start up, the server is put into maintenance mode, but we are not notifying the comm layer. This means that incoming agent requests will not get rejected as they should.


Steps to Reproduce:
1. Do a default installation, rhqctl install 
2. Start only the server and the agent, rhqctl start --server --agent
3. Verify that the server is put in maintenance mode since the storage client subsystem cannot initialize
4. Wait for the discovery queue to get populated

Actual results:
The server goes into maintenance mode and the discovery queue gets populated.

Expected results:
The server should go into maintenance mode, but we should not have anything in the discovery queue.


Additional info:

Comment 1 John Sanda 2014-05-28 21:50:54 UTC
Fix has been pushed to master.

commit hash: 692ef131035b

Comment 2 Heiko W. Rupp 2014-12-15 11:36:25 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.